package com.tzld.longarticle.recommend.server.config;

import com.zaxxer.hikari.HikariDataSource;
import org.springframework.boot.autoconfigure.jdbc.DataSourceProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.core.JdbcTemplate;


@Configuration(proxyBeanMethods = false)
public class PiaoquanCrawlerMysqlConfiguration {

    @Bean(name = "piaoquanCrawlerJdbcTemplate")
    public JdbcTemplate piaoquanCrawlerJdbcTemplate() {
        DataSourceProperties dataSourceProperties = new DataSourceProperties();
        dataSourceProperties.setUsername("crawler");
        dataSourceProperties.setPassword("crawler123456@");
        dataSourceProperties.setUrl("jdbc:mysql://rm-bp1159bu17li9hi94.mysql.rds.aliyuncs.com:3306/piaoquan-crawler?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull");
        dataSourceProperties.setDriverClassName("com.mysql.jdbc.Driver");
        HikariDataSource dataSource = dataSourceProperties.initializeDataSourceBuilder().type(HikariDataSource.class).build();
        dataSource.setMinimumIdle(5);
        dataSource.setMaximumPoolSize(10);
        dataSource.setConnectionTestQuery("select 1");
        return new JdbcTemplate(dataSource);
    }
}
